package com.candidjava.hibernate;
import javax.persistence.Column;
import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;
@Entity
@DiscriminatorValue(value="internationalbook")
public class InternationalBook extends Book {
    @Column(name="language")    
	private String languages;
    @Column(name="region")
	private int region;

	public InternationalBook() {
	}

	public InternationalBook(String title, String author, double cost,
			String language, int region) {
		super(title, author, cost);

		languages = language;
		this.region = region;
	}

	public void setLanguages(String s) {
		languages = s;
	}

	public String getLanguages() {
		return languages;
	}

	public void setRegion(int i) {
		region = i;
	}

	public int getRegion() {
		return region;
	}
}