package com.candidjava.hibernate;
import javax.persistence.Column;
import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;
@Entity
@DiscriminatorValue(value="specialeditionbook")
public class SpecialEditionBook extends Book {

	@Column(name="newfeatures")
	private String newfeatures;

	public SpecialEditionBook() {
	}

	public SpecialEditionBook(String title, String author, double cost,
			String features) {
		super(title, author, cost);

		newfeatures = features;
	}

	public void setNewfeatures(String s) {
		newfeatures = s;
	}

	public String getNewfeatures() {
		return newfeatures;
	}
}
